Bug 212135 - XVideo doesn't work for bigger sized videos (1024x768): X11 error: BadAlloc (insufficient resources for operation)
XVideo doesn't work for bigger sized videos (1024x768): X11 error: BadAlloc (...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-i810 (Show other bugs)
7
All Linux
medium Severity high
: ---
: ---
Assigned To: Adam Jackson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-25 05:28 EDT by Jens Lautenbacher
Modified: 2008-06-16 21:13 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 21:13:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
output of xvinfo (3.92 KB, text/plain)
2006-10-25 05:28 EDT, Jens Lautenbacher
no flags Details
Xorg config file (1.66 KB, text/plain)
2006-12-27 16:33 EST, Jens Lautenbacher
no flags Details
Log file for Xorg (625.74 KB, text/plain)
2006-12-27 16:34 EST, Jens Lautenbacher
no flags Details
Log file for Xorg (without xorg.conf) (67.67 KB, text/plain)
2006-12-27 16:48 EST, Jens Lautenbacher
no flags Details

  None (edit)
Description Jens Lautenbacher 2006-10-25 05:28:04 EDT
For Videos of small to medium size (biggest working video I have is 720x576)
XVideo work. For bigger videos (next size I have is 1024x768) XV enabled players
break with the X11 error BadAlloc (insufficient resources for operation).

This happens for both mplayer, totem and totem-xine.

This used to work with FC4 (FC5 was broken in this regard, too)

Note that we only talk about Adapter#0 "Intel(R) Video Overlay" here (see
attachment of xvinfo). Forcing mplayer to use Adaptor #1 "Intel(R) Textured
Video", but I assume that this is 
something completely different and based on the OpenGL accel engine of the card.

Unfortunately I don't know if or how all instances of XVideo players could be
forced to automatically use Adaptor #1 by default...

xvinfo also says that max size for adaptor #1 is 1920 x 1080, so it should work
for my 1400x1050 sized laptop.
Comment 1 Jens Lautenbacher 2006-10-25 05:28:04 EDT
Created attachment 139322 [details]
output of xvinfo
Comment 2 Matthias Hensler 2006-10-25 10:55:46 EDT
I have the same problem on an i855GME chipset (running the i810 driver). For me
FC4 also worked fine, but neither FC5 nor FC6 do.

Adding
 Option "LinearAlloc" "6144"
to the device-section in xorg.conf does not solve the problem.
Comment 3 Matěj Cepl 2006-12-27 11:34:45 EST
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 4 Jens Lautenbacher 2006-12-27 16:33:12 EST
Created attachment 144420 [details]
Xorg config file
Comment 5 Jens Lautenbacher 2006-12-27 16:34:24 EST
Created attachment 144421 [details]
Log file for Xorg
Comment 6 Jens Lautenbacher 2006-12-27 16:36:38 EST
These are the files you requested from my current setup. I will try to run X
without any xorg.conf and post the requested log file if it works at all...
Comment 7 Jens Lautenbacher 2006-12-27 16:48:23 EST
Created attachment 144423 [details]
Log file for Xorg (without xorg.conf)
Comment 8 Matěj Cepl 2007-12-10 04:24:07 EST
Fedora Core 6 is no longer supported, could you please reproduce this with the
updated version of the currently supported distribution (Fedora 7, 8, or
Rawhide)? If this issue turns out to still be reproducible, please let us know
in this bug report. If after a month's time we have not heard back from you, we
will have to close this bug as CANTFIX.

Setting status to NEEDINFO, and awaiting information from the reporter.

[This is mass-filed message to all open Fedora Core 6 bugs related to Xorg or
Gecko. If you see any other reason, why this bug shouldn't be closed, please,
comment on it here.]
Comment 9 Jens Lautenbacher 2007-12-10 04:58:18 EST
The same problem persisted with F7. I can't tell for F8, as I use the intel
driver (not i810) which defaults to using textured video. I have not yet seen
the problem with this driver (it has other problem with full screen mode, which
is much too slow, but not the problem of this report)
Comment 10 Jesse Barnes 2008-01-10 16:58:23 EST
So this particular problem affects only i810?  Maybe it should be marked 
as 'wontfix' then (though we'll have to fix the textured video problems you're 
seeing too, but that's a separate bug).
Comment 11 Bug Zapper 2008-05-14 08:03:39 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Bug Zapper 2008-06-16 21:13:46 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.